git: 5cafc38f1129 - main - adduser: Fix a syntax error

From: Joseph Mingrone <jrm_at_FreeBSD.org>
Date: Mon, 22 Apr 2024 19:09:27 UTC
The branch main has been updated by jrm:

URL: https://cgit.FreeBSD.org/src/commit/?id=5cafc38f11297cb302514f3cedb703a3ed199a22

commit 5cafc38f11297cb302514f3cedb703a3ed199a22
Author:     Joseph Mingrone <jrm@FreeBSD.org>
AuthorDate: 2024-04-22 19:04:13 +0000
Commit:     Joseph Mingrone <jrm@FreeBSD.org>
CommitDate: 2024-04-22 19:06:38 +0000

    adduser: Fix a syntax error
    
    Reported by:    Jose Luis Duran <jlduran@gmail.com>
    Fixes:          b37333899bd2
    MFC after:      1 week
    Sponsored by:   The FreeBSD Foundation
    Differential Revision:  https://reviews.freebsd.org/D44871
---
 usr.sbin/adduser/adduser.sh | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/usr.sbin/adduser/adduser.sh b/usr.sbin/adduser/adduser.sh
index d1c9e12098f7..9739b2e589fa 100644
--- a/usr.sbin/adduser/adduser.sh
+++ b/usr.sbin/adduser/adduser.sh
@@ -477,8 +477,7 @@ get_zfs_home() {
 
 	# check if zfs kernel module is loaded before attempting to run zfs to
 	# prevent loading the kernel module on systems that don't use ZFS
-	if ! "$KLDSTATCMD" -q -m zfs ||
-		Zcreate="no"
+	if ! "$KLDSTATCMD" -q -m zfs || Zcreate="no"; then
 		return
 	fi
 	if ! _prefix=$(${ZFSCMD} list -Ho name "${homeprefix}" 2>/dev/null) ||